LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XSeekable Interface Referencepublished

makes it possible to seek to a certain position within a stream. More...

`import"XSeekable.idl";`

Inheritance diagram for XSeekable:

## Public Member Functions
void | seek ([in] hyper location) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::io::IOException )
| changes the seek pointer to a new location relative to the beginning of the stream. More...
hyper | getPosition () raises ( com::sun::star::io::IOException )
| returns the current offset of the stream. More...
hyper | getLength () raises ( com::sun::star::io::IOException )
| returns the length of the stream. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to seek to a certain position within a stream.

This interface should be supported, if it is possible to access the data at the new position quickly. You should not support this interface, if you have a continuous stream, for example, a video stream.

## Member Function Documentation

## ◆ getLength()

hyper getLength | ( |  | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

returns the length of the stream.

Returns
  the length of the storage medium on which the stream works.

## ◆ getPosition()

hyper getPosition | ( |  | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

returns the current offset of the stream.

Returns
  the current offset in this stream.

## ◆ seek()

void seek | ( | [in] hyper | location | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::io::IOException
| ) |  |

changes the seek pointer to a new location relative to the beginning of the stream.

This method changes the seek pointer so subsequent reads and writes can take place at a different location in the stream object. It is an error to seek before the beginning of the stream or after the end of the stream.

Exceptions

  com::sun::star::lang::IllegalArgumentException | in case location is negative or greater than XSeekable::getLength().

The documentation for this interface was generated from the following file:

- com/sun/star/io/XSeekable.idl